\documentclass[xcolor=dvipsnames]{beamer}
	
\beamertemplatenavigationsymbolsempty

\input{preamble}

\author{Reiner Hüchting}
\title{Einführung in die Programmierung II}
\subtitle{Such- und Sortierverfahren}

\begin{document}

\maketitle

\part{Bäume}

\section{Bäume}
	\input{baeume/baeume}
\section{Binäre Suchbäume}
	\input{baeume/bsuchbaeume}		
		
\section{Balancierte Bäume}
	\input{baeume/baeume_recap}
	\input{baeume/avltrees}
	\input{baeume/redblacktrees}
	\input{baeume/btrees}


\section{Heaps}
	\input{baeume/heaps}
	\input{baeume/priority-queues}
	\input{baeume/heapsort}

\section{Speicherung von Bäumen}
	\input{baeume/baeume_in_arrays}

\end{document}